Prepare a Cast video
curl --request POST \
--url https://api.melius.com/api/v1/cast/videos/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"avatar": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sections": [
{
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": true,
"seconds": 4,
"speakerId": "<string>",
"scene": "<string>"
}
],
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>",
"otherAvatars": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>"
}
],
"tone": "<string>",
"engine": "seedance",
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propName": "<string>",
"props": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"aspectRatio": "9:16",
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.melius.com/api/v1/cast/videos/prepare"
payload = {
"avatar": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"sections": [
{
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": True,
"seconds": 4,
"speakerId": "<string>",
"scene": "<string>"
}
],
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>",
"otherAvatars": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>"
}
],
"tone": "<string>",
"engine": "seedance",
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propName": "<string>",
"props": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"aspectRatio": "9:16",
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
avatar: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
sections: [
{
text: '<string>',
title: '<string>',
action: '<string>',
kind: 'action',
cutaway: true,
seconds: 4,
speakerId: '<string>',
scene: '<string>'
}
],
voice: {kind: 'stock', voiceId: '<string>'},
voiceName: '<string>',
otherAvatars: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
voice: {kind: 'stock', voiceId: '<string>'},
voiceName: '<string>'
}
],
tone: '<string>',
engine: 'seedance',
backgroundId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
propAssetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
propName: '<string>',
props: [{assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}],
aspectRatio: '9:16',
workId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.melius.com/api/v1/cast/videos/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.melius.com/api/v1/cast/videos/prepare",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'avatar' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'sections' => [
[
'text' => '<string>',
'title' => '<string>',
'action' => '<string>',
'kind' => 'action',
'cutaway' => true,
'seconds' => 4,
'speakerId' => '<string>',
'scene' => '<string>'
]
],
'voice' => [
'kind' => 'stock',
'voiceId' => '<string>'
],
'voiceName' => '<string>',
'otherAvatars' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'voice' => [
'kind' => 'stock',
'voiceId' => '<string>'
],
'voiceName' => '<string>'
]
],
'tone' => '<string>',
'engine' => 'seedance',
'backgroundId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'propAssetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'propName' => '<string>',
'props' => [
[
'assetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>'
]
],
'aspectRatio' => '9:16',
'workId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-team-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.melius.com/api/v1/cast/videos/prepare"
payload := strings.NewReader("{\n \"avatar\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"sections\": [\n {\n \"text\": \"<string>\",\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"kind\": \"action\",\n \"cutaway\": true,\n \"seconds\": 4,\n \"speakerId\": \"<string>\",\n \"scene\": \"<string>\"\n }\n ],\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\",\n \"otherAvatars\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\"\n }\n ],\n \"tone\": \"<string>\",\n \"engine\": \"seedance\",\n \"backgroundId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propAssetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propName\": \"<string>\",\n \"props\": [\n {\n \"assetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n }\n ],\n \"aspectRatio\": \"9:16\",\n \"workId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-team-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.melius.com/api/v1/cast/videos/prepare")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-team-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"avatar\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"sections\": [\n {\n \"text\": \"<string>\",\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"kind\": \"action\",\n \"cutaway\": true,\n \"seconds\": 4,\n \"speakerId\": \"<string>\",\n \"scene\": \"<string>\"\n }\n ],\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\",\n \"otherAvatars\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\"\n }\n ],\n \"tone\": \"<string>\",\n \"engine\": \"seedance\",\n \"backgroundId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propAssetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propName\": \"<string>\",\n \"props\": [\n {\n \"assetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n }\n ],\n \"aspectRatio\": \"9:16\",\n \"workId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"attemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"avatar": {
"kind": "custom",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"engine": "seedance",
"sections": [
{
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": true,
"seconds": 4,
"speakerId": "<string>",
"scene": "<string>"
}
],
"aspectRatio": "9:16",
"voiceName": "<string>",
"otherAvatars": [
{
"kind": "custom",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>"
}
],
"tone": "<string>",
"resolution": "360p",
"subtitles": {
"preset": "simple",
"language": "<string>",
"position": "top",
"textCustomizations": {
"baseline": {
"font": "<string>",
"weight": 123,
"color": "<string>"
},
"highlighted": {
"font": "<string>",
"weight": 123,
"color": "<string>"
}
}
},
"creationSettings": {
"videoStyle": {
"id": "auto",
"version": 1
},
"speech": "on-screen",
"visuals": "auto",
"pronunciations": [
{
"word": "<string>",
"pronunciation": "<string>"
}
]
},
"scriptTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 0,
"source": "database"
},
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propName": "<string>",
"props": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"review": {
"avatar": {
"name": "<string>",
"imageUrl": "<string>"
},
"voice": "<string>",
"tone": "<string>",
"background": "<string>",
"prop": "<string>",
"model": "<string>",
"aspectRatio": "21:9",
"subtitles": "<string>",
"template": "<string>",
"resolution": "360p",
"notice": "<string>",
"avatars": [
{
"name": "<string>",
"imageUrl": "<string>",
"voice": "<string>"
}
]
},
"scriptSeconds": 1,
"aspectRatios": [
"21:9"
],
"status": "ready",
"estimatedCredits": 1,
"preparationToken": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedWait": "<string>",
"visualsUnavailableReason": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Cast
Prepare a Cast video
POST
/
api
/
v1
/
cast
/
videos
/
prepare
Prepare a Cast video
curl --request POST \
--url https://api.melius.com/api/v1/cast/videos/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"avatar": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"sections": [
{
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": true,
"seconds": 4,
"speakerId": "<string>",
"scene": "<string>"
}
],
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>",
"otherAvatars": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>"
}
],
"tone": "<string>",
"engine": "seedance",
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propName": "<string>",
"props": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"aspectRatio": "9:16",
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.melius.com/api/v1/cast/videos/prepare"
payload = {
"avatar": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"sections": [
{
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": True,
"seconds": 4,
"speakerId": "<string>",
"scene": "<string>"
}
],
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>",
"otherAvatars": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>"
}
],
"tone": "<string>",
"engine": "seedance",
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propName": "<string>",
"props": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"aspectRatio": "9:16",
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
avatar: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
sections: [
{
text: '<string>',
title: '<string>',
action: '<string>',
kind: 'action',
cutaway: true,
seconds: 4,
speakerId: '<string>',
scene: '<string>'
}
],
voice: {kind: 'stock', voiceId: '<string>'},
voiceName: '<string>',
otherAvatars: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
voice: {kind: 'stock', voiceId: '<string>'},
voiceName: '<string>'
}
],
tone: '<string>',
engine: 'seedance',
backgroundId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
propAssetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
propName: '<string>',
props: [{assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}],
aspectRatio: '9:16',
workId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.melius.com/api/v1/cast/videos/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.melius.com/api/v1/cast/videos/prepare",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'avatar' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'sections' => [
[
'text' => '<string>',
'title' => '<string>',
'action' => '<string>',
'kind' => 'action',
'cutaway' => true,
'seconds' => 4,
'speakerId' => '<string>',
'scene' => '<string>'
]
],
'voice' => [
'kind' => 'stock',
'voiceId' => '<string>'
],
'voiceName' => '<string>',
'otherAvatars' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'voice' => [
'kind' => 'stock',
'voiceId' => '<string>'
],
'voiceName' => '<string>'
]
],
'tone' => '<string>',
'engine' => 'seedance',
'backgroundId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'propAssetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'propName' => '<string>',
'props' => [
[
'assetId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>'
]
],
'aspectRatio' => '9:16',
'workId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-team-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.melius.com/api/v1/cast/videos/prepare"
payload := strings.NewReader("{\n \"avatar\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"sections\": [\n {\n \"text\": \"<string>\",\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"kind\": \"action\",\n \"cutaway\": true,\n \"seconds\": 4,\n \"speakerId\": \"<string>\",\n \"scene\": \"<string>\"\n }\n ],\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\",\n \"otherAvatars\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\"\n }\n ],\n \"tone\": \"<string>\",\n \"engine\": \"seedance\",\n \"backgroundId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propAssetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propName\": \"<string>\",\n \"props\": [\n {\n \"assetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n }\n ],\n \"aspectRatio\": \"9:16\",\n \"workId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-team-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.melius.com/api/v1/cast/videos/prepare")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-team-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"avatar\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"sections\": [\n {\n \"text\": \"<string>\",\n \"title\": \"<string>\",\n \"action\": \"<string>\",\n \"kind\": \"action\",\n \"cutaway\": true,\n \"seconds\": 4,\n \"speakerId\": \"<string>\",\n \"scene\": \"<string>\"\n }\n ],\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\",\n \"otherAvatars\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"voice\": {\n \"kind\": \"stock\",\n \"voiceId\": \"<string>\"\n },\n \"voiceName\": \"<string>\"\n }\n ],\n \"tone\": \"<string>\",\n \"engine\": \"seedance\",\n \"backgroundId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propAssetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"propName\": \"<string>\",\n \"props\": [\n {\n \"assetId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n }\n ],\n \"aspectRatio\": \"9:16\",\n \"workId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"attemptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"avatar": {
"kind": "custom",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"engine": "seedance",
"sections": [
{
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": true,
"seconds": 4,
"speakerId": "<string>",
"scene": "<string>"
}
],
"aspectRatio": "9:16",
"voiceName": "<string>",
"otherAvatars": [
{
"kind": "custom",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice": {
"kind": "stock",
"voiceId": "<string>"
},
"voiceName": "<string>"
}
],
"tone": "<string>",
"resolution": "360p",
"subtitles": {
"preset": "simple",
"language": "<string>",
"position": "top",
"textCustomizations": {
"baseline": {
"font": "<string>",
"weight": 123,
"color": "<string>"
},
"highlighted": {
"font": "<string>",
"weight": 123,
"color": "<string>"
}
}
},
"creationSettings": {
"videoStyle": {
"id": "auto",
"version": 1
},
"speech": "on-screen",
"visuals": "auto",
"pronunciations": [
{
"word": "<string>",
"pronunciation": "<string>"
}
]
},
"scriptTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 0,
"source": "database"
},
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"propName": "<string>",
"props": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"review": {
"avatar": {
"name": "<string>",
"imageUrl": "<string>"
},
"voice": "<string>",
"tone": "<string>",
"background": "<string>",
"prop": "<string>",
"model": "<string>",
"aspectRatio": "21:9",
"subtitles": "<string>",
"template": "<string>",
"resolution": "360p",
"notice": "<string>",
"avatars": [
{
"name": "<string>",
"imageUrl": "<string>",
"voice": "<string>"
}
]
},
"scriptSeconds": 1,
"aspectRatios": [
"21:9"
],
"status": "ready",
"estimatedCredits": 1,
"preparationToken": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedWait": "<string>",
"visualsUnavailableReason": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Authorizations
Body
application/json
Body
Response
200
- Option 1
- Option 2
- Option 3